Subject: Re: bug#38358: Subject prefix, true recipient...

From: Narcis Garcia <[email-masked]>
Date: Tue, 26 Nov 2019 08:55:17 +0100

El 25/11/19 a les 20:33, Mark H Weaver ha escrit:
> Narcis Garcia via GNUzilla bug reports <[email-masked]> wrote:
> 
>> El 25/11/19 a les 18:36, Mark H Weaver ha escrit:
>>> * I clicked the popup menu of headers to filter on, and down at the
>>>   bottom of the list I see "Customize...".  Choosing it summons the
>>>   Customize Headers window.  I typed "List-id" in the text box and
>>>   clicked "Add", and then "OK" to dismiss the Customize Headers window.
>>>
>>> * "List-id" is now an item within the popup menu of headers to filter
>>>   on.
>>>
>>> Does this work for you?
>>
>> No, it doesn't.
> 
> Well, that might be a bug in Thunderbird, unless you made a mistake.
> Did you include ":" in the custom header name?  It should _not_ be
> included.
> 
> I'm sorry, but I'm reluctant to change every Subject header on this
> mailing list in order to work around a bug in your mail program.  Among
> other things, inserting "[bug-gnuzilla] " in addition to "bug#xxxxx: "
> would leave very little space in the subject header to describe what's
> being discussed.  I often find it difficult to fit the relevant
> information within a subject header as it is.

[gnuz]

>> Even worse: replies like yours (not arriving me through list mailer
>> because of CC recipient) are impossible to filter with any distinction
>> about gnuzilla.
> 
> Well, that's entirely my fault.  The mailing list had rewritten your
> From header to be "Narcis Garcia via GNUzilla bug reports
> <[email-masked]>", and I manually replaced it with your actual
> email address.  I won't do that again.
> 
>> List administrators did become crazy to attend DKIM requirements. If
>> DMARC and SPF is used, DKIM doesn't enhance mail at all and list mailers
>> can edit subjects and put footers.
> 
> It's been a while since I looked at this, and I've likely forgotten some
> important details, but it seems to me that we had little choice in the
> matter.
> 
> The fact is, some prominent GNU developers use DMARC and DKIM for their
> personal domains, and some of them feel strongly about it.  Before the
> recent changes to GNU mailing lists, when these developers would send
> mail to a GNU mailing list, the changes made to their emails by mailman
> would break the DKIM signatures, and many recipients subscribed to the
> mailing list would reject the emails as spam.  This had the effect of
> causing mail delivery to those recipients to be disabled, and moreover
> harmed the reputation of GNU.org as a mail sender.  That's how I
> remember it, anyway.
> 
> It would be one thing if DMARC or DKIM violated some important ethical
> considerations that made them worth launching a campaign to fight
> against, but as far as I can see they are reasonable approaches to
> reduce spam, and in a way that doesn't require very sophisticated
> heuristic filtering.  I think that's a good thing, because it makes it
> much more practical to run an independent mail server.
> 
> What do you think?

Practical to run should include Practical to use, and this new policy
around is moving most people to web forums (with labeled subjects,
status indicators, context, footers and help...).

Structured mind is better represented in a structured and signaled
conversation.
Chaotic mind is better deployed in a chat thread.

(sorry for my bad english)